CLIMM(1)

NAME
climm - ein kleines ICQ-Programm, das im Text-Modus läuft

ÜBERSICHT
climm [-h] [-c] [-b <basedir>] [-i <locale>] [-v[level]] [-l <logplace>] [-u <UIN>] [-p <passwd>] [-s <status>] [-C <commands>]

BESCHREIBUNG
climm ist ein text-basiertes ICQ-Programm, das viele Eigenschaften des von Mirabilis erstellten ICQ unterstützt. Mit climm kann man das Paßwort ändern, neue Benutzernumern erzeugen, die Benutzerinformationen aktualisieren, andere Benutzer suchen, SMS verschicken, direkte Verbindungen aufbauen, Dateien übertragen, das von anderen Benutzern verwendete ICQ-Programm herausfinden, UTF-8-kodierte Nachrichten verschicken, bei Ereignissen beliebiege Kommandos ausführen, und so weiter.

OPTIONEN

-h|--help
    Zeigt einen kurzen Hilfe-Text an und beendet.

-c|--nocolor
    Verwende keine Farben.

-b|--basedir <basedir>
    Verwendet basedir als das Basisverzeichnis, in dem climm nach seinen Dateien sucht, insbesondere seiner Konfigurationsdatei climmrc.

-i|--i18n <locale>
    Verwendet die Lokalisierung locale anstatt der in den Umgebungsvariablen angegebenen.

-f|--config <configfile>
    Verwendet configfile als Konfigurationsdatei.

-v|--verbose[<level>]
    Wählt den ausführlichen Modus bzw. setzt wie Ausführlichkeit auf level.

-l|--logplace <Datei>|<Verzeichnis>
    Benutzt Datei als Log-Datei, bzw. benutzt Verzeichnis, um dort die nach Benutzern getrennte Log-Dateien abzulegen.

-u|--uin <uin>
    Nur mit der Benutzernummer uin einloggen. Kann beliebig oft angegeben werden.

-p|--passwd <passwd>
    Mit dem Paßwort passwd einloggen. Kann für jede -u angegeben werden, oder alleinestehend.

-s|--status <status>
    Mit dem Status status einloggen, welcher numerisch oder als inv, dnd, occ, na, away, ffc, oder off[line] angegeben werden kann.

-C|--cmd <commands>
    Führe die climm-Kommandos commands nach dem Einloggen anstatt des Befehls eg aus.

BENUTZUNG
Beim ersten Start (je Basisverzeichnis) wird climm nach einer Benutzernummer (UIN) fragen, oder eine neue erschaffen. Nach dem ersten Einloggen wird die server-basierte Kontaktliste automatisch importiert.
Grundlegende Kommandos sind msg, um anderen Kontakten eine Nachricht zu schicken (drückt man die Tabulator-Taste mehrermals auf einer vorher leeren Eingabezeile, werden nacheinander msg-Kommandos erzeugt, um Nachrichten an Kontakte zu schicken, mit denen man vorher kommuniziert hat), add, um neue Kontakte hinzuzufügen, update, other, und about, um die Meta-Daten auf dem ICQ-Server zu aktualisieren, und natürlich help für die Hilfe. Eine komplette Liste der Kommandos gibt es in der Hilfeseite climmcmds(7).

EIGENSCHAFTEN
climm ist sehr portabel und läuft unter Linux, DOS, OS/2, Win32, BeOS, AmigaOS, GNU HURD und jedem anderen modernen Unix-artigen System. climm version 0.5 läuft unter Linux, AIX, HPUX, Tru64, AmigaOS, teilweise BeOS und anderen Unix-artigen Systemen. Andere Portierungen funktionieren möglicherweise ebenfalls noch, und jeder, der dies testen möchte, sei dazu aufgerufen.

GESCHICHTE

16. August 1998
    Matthew D. Smith gibt die erste Version von climm frei, gefolgt von 12 datierten Freigaben bis zum 25. Septembet 1998.

5. Januar 2001
    Matthew D. Smith stirb in einem Autounfall. Die Benutzer fahren dort fort, wo Matthew aufgehört hat, formieren climm unter der BSD-Lizenz neu und nehmen die Entwicklung von climm wieder auf.

10. Juni 2002
    Version 0.4.9 wird unter der GPL-Lizenz freigegeben und implementiert endlich die neue Version 8 des ICQ-Protokolls, und wurde von Rüdiger Kuhlmann gemacht.

MAILINGLISTE
Die climm-Mailingliste ist climm-list@climm.org. Informationen über die Anmeldung und Archive finden sich unter http://www.climm.org/pipermail/climm-list/.

HERUNTERLADEN
Über HTTP von http://www.climm.org/download. Um die neueste Version aus dem CVS zu bekommen, gebe man ein:
cvs -d:pserver:anonymous@climm.org:/var/lib/cvs co climm

SIEHE AUCH
climmrc(5), climmcmds(7)

DATEIEN

~/.climmrc
    Alte Konfigurationsdatei für climm - veraltet.

~/.climm/
    Standardmässiges Basisverzeichnis für climm's Dateien.

BASIS/climmrc
    Konfigurationsdatei für climm. Enthält die globale Konfiguration.

BASIS/status
    Konfigurationsdatei für climm. Enthält die Kontaktliste und die Optionen der Kontakte.

BASIS/i18n/*.i18n
    Benutzer-Änderungen zu climm's Übersetzungsdateien.

~/.climm/i18n/*.i18n
    Benutzer-Änderungen zu climm's Übersetzungsdateien.

BASIS/contacts/
    Verzeichnis für Metadaten zu Kontakten.

BASIS/history/
    Standardverzeichnis für Log-Dateien.

BASIS/files/
    Verzeichnis, in dem climm Dateien von eingehende Dateiübertragungen speichert.

BASE/remote-control
    Veralteter Standardort für die FIFO-Warteschlange, die für die Fernbedienung verwendet wird. Wurde umbenannt, da es unbedarfte Benutzer irritiert hat.

BASE/scripting
    Standardort für die FIFO-Warteschlange, die für die Fernbedienung verwendet wird.

PREFIX/share/climm/*.i18n
    Übersetzungsdateien mit Übersetzungen von alle Texten, die climm ausgibt.

FEHLERBERICHTE
Fehlerberichte oder Kommentare bitte an Rüdiger Kuhlmann <climm@ruediger-kuhlmann.de> (auf Deutsch oder Englisch) schicken.

AUTOR
Diese Hilfeseite basiert auf einer von James Morrison <ja2morrison@student.math.uwaterloo.ca>, die aus der minimalen Hilfeseite hervorging, die Jordi Mallach <jordi@sindominio.net> für das Debian-GNU/Linux-System geschrieben hat, und wurde danach von Rüdiger Kuhlmann <climm@ruediger-kuhlmann.de> aktuell gehalten sowie ins Deutsche übersetzt.